Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 492522 - net-libs/gnutls-3.3.10-r2 stable request
Summary: net-libs/gnutls-3.3.10-r2 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Crypto team [DISABLED]
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 406757 492752 506910 506912 506914 gnome2-mask 511126 524598 525182 525260 532560
Blocks: 504826 gnome-3.14-stable systemd-218-stable
  Show dependency tree
 
Reported: 2013-11-25 19:11 UTC by Jeroen Roovers
Modified: 2015-04-27 12:32 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2013-11-25 19:11:49 UTC
Needed for =net-nntp/pan-0.139 (bug #478252).
Comment 1 Pacho Ramos gentoo-dev 2013-11-25 20:54:55 UTC
I added it to eapi-5 profiles and repoman passed ok for me (also for hppa):
# Pacho Ramos <pacho@gentoo.org> (17 Nov 2013)
# Still needs gnutls-3
>=net-nntp/pan-0.139 ssl

(in package.use.stable.mask)

$ ekeyword hppa pan-0.139.ebuild 
repopan-0.139.ebuild
m--- pan-0.139.ebuild	2012-11-04 10:17:06.000000000 +0100
+++ pan-0.139.ebuild.new	2013-11-25 21:53:44.000000000 +0100
@@ -15 +15 @@
-KEYWORDS="~alpha ~amd64 ~hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+KEYWORDS="~alpha ~amd64 hppa ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
$ repoman full

RepoMan scours the neighborhood...
>>> Creating Manifest for /home/pacho/gentoo-x86/net-nntp/pan
  ebuild.badheader              1
   net-nntp/pan/pan-0.139.ebuild: Invalid Gentoo Copyright on line: 1

Note: use --include-dev (-d) to check dependencies for 'dev' profiles

RepoMan sez: "You're only giving me a partial QA payment?
              I'll take it this time, but I'm not happy."
Comment 2 Nikoli 2013-12-26 15:06:01 UTC
Why this bug blocks bug #421391 instead of depending on it?
Comment 3 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2014-02-10 12:15:30 UTC
This is needed for the stabilization of the reverse dependency media-video/vlc, see bug #499806; added it to the list of blocks, when proceeding here, the reverse dependency would love these keywords: alpha, amd64, arm, ppc, ppc64, x86

We might package.use.stable.mask media-video/vlc[gnutls] if this takes long.
Comment 4 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2014-03-16 23:05:54 UTC
(In reply to Tom Wijsman (TomWij) from comment #3)
> We might package.use.stable.mask media-video/vlc[gnutls] if this takes long.

These packages were added to package.use.stable.mask such that security bug #486902, security bug #499806 and security bug #504088 can proceed to stabilize.
Comment 5 Pacho Ramos gentoo-dev 2014-04-19 10:50:47 UTC
The last blockers are:
https://bugs.gentoo.org/show_bug.cgi?id=421431 -> maybe we could mask gnutls USE for that
https://bugs.gentoo.org/show_bug.cgi?id=421777 -> this is hard to fix :(
https://bugs.gentoo.org/show_bug.cgi?id=446016 -> Maybe fedora patch could help:
http://pkgs.fedoraproject.org/cgit/python-gnutls.git/tree/track-libgnutls-and-opengpg-versions.patch
Comment 6 Pacho Ramos gentoo-dev 2014-05-24 09:24:59 UTC
(all stabilization bugs are already filled and blocking this stabilization one)
Comment 7 Laurent Bachelier 2014-06-13 09:49:33 UTC
Because of bug #511536 

  (dev-libs/libtasn1-3.6::gentoo, ebuild scheduled for merge) conflicts with
    <dev-libs/libtasn1-3 required by (net-libs/gnutls-2.12.23-r6::gentoo, installed)
Comment 8 Alon Bar-Lev gentoo-dev 2014-06-13 13:37:36 UTC
(In reply to Laurent Bachelier from comment #7)
> Because of bug #511536 
> 
>   (dev-libs/libtasn1-3.6::gentoo, ebuild scheduled for merge) conflicts with
>     <dev-libs/libtasn1-3 required by (net-libs/gnutls-2.12.23-r6::gentoo,
> installed)

Not sure how this is related to here, but thanks! fixed.
Comment 9 Pacho Ramos gentoo-dev 2014-06-23 12:40:56 UTC
What gnutls-3 version would be ok to stabilize? 3.3.4?
Comment 10 Manuel Rüger (RETIRED) gentoo-dev 2014-07-20 15:26:10 UTC
(In reply to Pacho Ramos from comment #9)
> What gnutls-3 version would be ok to stabilize? 3.3.4?

Ping.

http://www.gnutls.org/download.html
says gnutls-3.2 is the current stable, while 3.3 is the stable-next release.
"Stable-next will be the next stable release; while it is believed to be sufficiently stable it is not as well tested as the stable branch."
Comment 11 Manuel Rüger (RETIRED) gentoo-dev 2014-10-06 00:11:23 UTC
Pinning stabilization candidate to 3.2.18 due to no response from crypto team. 
I'm going to add arch teams for stabilization on Oct 19th.
Comment 12 Arfrever Frehtes Taifersar Arahesis 2014-10-13 11:53:24 UTC
(In reply to Manuel Rüger from comment #10)
> http://www.gnutls.org/download.html
> says gnutls-3.2 is the current stable, while 3.3 is the stable-next release.
> "Stable-next will be the next stable release; while it is believed to be
> sufficiently stable it is not as well tested as the stable branch."

Today 3.3.* is treated by upstream as "stable", not just "stable-next", so I recommend stabilization of 3.3.8.
Comment 13 Alon Bar-Lev gentoo-dev 2014-10-13 12:48:59 UTC
(In reply to Arfrever Frehtes Taifersar Arahesis from comment #12)
> (In reply to Manuel Rüger from comment #10)
> > http://www.gnutls.org/download.html
> > says gnutls-3.2 is the current stable, while 3.3 is the stable-next release.
> > "Stable-next will be the next stable release; while it is believed to be
> > sufficiently stable it is not as well tested as the stable branch."
> 
> Today 3.3.* is treated by upstream as "stable", not just "stable-next", so I
> recommend stabilization of 3.3.8.

I agree. I will add 3.3.9 and we wait for blockers.
Comment 14 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-10-13 12:50:56 UTC
Please give me a few hours to add multilib support to 3.2 branch :).
Comment 15 Jeroen Roovers gentoo-dev 2014-10-13 18:08:41 UTC
Needs >=sys-apps/texinfo-5.2 apparently.
Comment 16 Alexander Tsoy 2014-10-13 18:42:53 UTC
(In reply to Jeroen Roovers from comment #15)
> Needs >=sys-apps/texinfo-5.2 apparently.

Maybe someone can hack gnutls' build system to prevent regeneration of texinfo files? See bug 520818 for more info.
Comment 17 Alon Bar-Lev gentoo-dev 2014-10-13 18:47:47 UTC
(In reply to Alexander Tsoy from comment #16)
> (In reply to Jeroen Roovers from comment #15)
> > Needs >=sys-apps/texinfo-5.2 apparently.
> 
> Maybe someone can hack gnutls' build system to prevent regeneration of
> texinfo files? See bug 520818 for more info.

see bug#520818, if you can confirm the workaround. breakage applies to subset of users, I could not reproduce.
Comment 18 Alon Bar-Lev gentoo-dev 2014-12-13 23:41:29 UTC
Hi Arch,

With known issue of bug#525640 which is net-analyzer/openvas-libraries issue and has explicit dependency on gnutls-2 and it is unstable anyway, we are ready to stabilize gnutls-3.3.

Thanks!
Comment 19 Jeroen Roovers gentoo-dev 2014-12-14 10:43:01 UTC
This requires >=dev-libs/libtasn1-3.9. Which?
Comment 20 Alon Bar-Lev gentoo-dev 2014-12-14 12:51:20 UTC
(In reply to Jeroen Roovers from comment #19)
> This requires >=dev-libs/libtasn1-3.9. Which?

you are right! I am sorry I missed that.
the latest, I will open a different bug.
Comment 21 Jeroen Roovers gentoo-dev 2014-12-15 20:05:53 UTC
Stable for HPPA.
Comment 22 Markus Meier gentoo-dev 2014-12-30 17:59:02 UTC
arm stable
Comment 23 Tobias Klausmann gentoo-dev 2015-01-09 15:47:09 UTC
Stable on alpha
Comment 24 Alon Bar-Lev gentoo-dev 2015-02-01 14:28:11 UTC
Removing bug#525640 as net-analyzer/openvas-libraries was updated to depend =net-libs/gnutls-2* for all packages.
Comment 25 Pacho Ramos gentoo-dev 2015-02-06 18:52:47 UTC
amd64/x86 stable
Comment 26 Pacho Ramos gentoo-dev 2015-02-25 10:21:40 UTC
ppc/ppc64 stable
Comment 27 Agostino Sarubbo gentoo-dev 2015-04-27 12:32:29 UTC
sparc stable. Closing.